Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.

Bug 1479430

Summary: Hyperlinks from tables are hard to read when hovering over a table row
Product: Red Hat Satellite 6 Reporter: Og Maciel <omaciel>
Component: WebUIAssignee: Walden Raines <walden>
WebUI sub component: Katello QA Contact: Brad Buckingham <bbuckingham>
Status: CLOSED ERRATA Docs Contact:
Severity: low    
Priority: unspecified CC: bbuckingham, cwelton, ehelms, walden
Version: 6.3.0Keywords: Regression
Target Milestone: Beta   
Target Release: Unused   
Hardware: Unspecified   
OS: Unspecified   
URL: http://projects.theforeman.org/issues/20530
Whiteboard:
Fixed In Version: rubygem-bastion-5.0.10 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-02-21 11:51:07 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Hyperlinks for Satellite 6.3.0
none
Hyperlinks for Satellite 6.2.z
none
Verified: Hyperlinks for Satellite 6.3.0 none

Description Og Maciel 2017-08-08 10:33:06 EDT
Description of problem:

The attached screenshot shows that hyperlinks displaying the number of packages, errata and package groups for a repository are displayed in a shade of blue. When you hover your mouse over a repository, the entire row is highlighted in a different shade of blue which makes it hard to clearly read what the hyperlinks show.

Compared to Satellite 6.2.z, hyperlinks are displayed in white when you hover the mouse over a row.

Version-Release number of selected component (if applicable):

* satellite-6.3.0-16.0.beta.el7sat.noarch

How reproducible:


Steps to Reproduce:
1. Create a new custom product (optionally, import a valid Red Hat manifest)
2. Create one or more custom repositories (if you used a Red Hat manifest for Step 1, then enable one or more repositories)
3. Visit the Products page and select a product
4. Expand all repositories and hover your mouse over one of the respositories

Actual results:

Hyperlinks under the Sync Status and Content columns are displayed in a shade of blue

Expected results:

Hyperlinks under the Sync Status and Content columns should be displayed in white



Additional info:

* candlepin-2.0.40-1.el7.noarch
* candlepin-selinux-2.0.40-1.el7.noarch
* foreman-1.15.2-1.el7sat.noarch
* foreman-cli-1.15.2-1.el7sat.noarch
* foreman-compute-1.15.2-1.el7sat.noarch
* foreman-debug-1.15.2-1.el7sat.noarch
* foreman-discovery-image-3.1.1-22.el7sat.noarch
* foreman-ec2-1.15.2-1.el7sat.noarch
* foreman-gce-1.15.2-1.el7sat.noarch
* foreman-installer-1.15.2-1.el7sat.noarch
* foreman-installer-katello-3.4.4-1.el7sat.noarch
* foreman-libvirt-1.15.2-1.el7sat.noarch
* foreman-openstack-1.15.2-1.el7sat.noarch
* foreman-ovirt-1.15.2-1.el7sat.noarch
* foreman-postgresql-1.15.2-1.el7sat.noarch
* foreman-proxy-1.15.2-1.el7sat.noarch
* foreman-rackspace-1.15.2-1.el7sat.noarch
* foreman-selinux-1.15.2-1.el7sat.noarch
* foreman-vmware-1.15.2-1.el7sat.noarch
* katello-3.4.4-2.el7sat.noarch
* katello-ca-consumer-sat-r220-02.lab.eng.rdu2.redhat.com-1.0-4.noarch
* katello-certs-tools-2.4.0-1.el7sat.noarch
* katello-client-bootstrap-1.4.0-1.el7sat.noarch
* katello-common-3.4.4-2.el7sat.noarch
* katello-debug-3.4.4-2.el7sat.noarch
* katello-default-ca-1.0-1.noarch
* katello-installer-base-3.4.4-1.el7sat.noarch
* katello-selinux-3.0.2-1.el7sat.noarch
* katello-server-ca-1.0-1.noarch
* katello-service-3.4.4-2.el7sat.noarch
* openldap-2.4.44-5.el7.x86_64
* pulp-client-1.0-1.noarch
* pulp-docker-plugins-2.3.0-1.el7sat.noarch
* pulp-katello-1.0.2-1.el7sat.noarch
* pulp-ostree-plugins-1.2.1-1.el7sat.noarch
* pulp-puppet-plugins-2.12.2-1.el7sat.noarch
* pulp-puppet-tools-2.12.2-1.el7sat.noarch
* pulp-rpm-plugins-2.12.2-2.el7sat.noarch
* pulp-selinux-2.12.2-2.el7sat.noarch
* pulp-server-2.12.2-2.el7sat.noarch
* python-ldap-2.4.15-2.el7.x86_64
* tfm-rubygem-ldap_fluff-0.4.6-1.el7sat.noarch
* tfm-rubygem-net-ldap-0.15.0-1.el7sat.noarch
Comment 1 Og Maciel 2017-08-08 10:34 EDT
Created attachment 1310649 [details]
Hyperlinks for Satellite 6.3.0

Hyperlinks are hard to see on Satellite 6.3.0 since the highlight color for mouse over is also a shade of blue
Comment 2 Og Maciel 2017-08-08 10:35 EDT
Created attachment 1310650 [details]
Hyperlinks for Satellite 6.2.z

Hyperlinks on Satellite 6.2.z are displayed in white when you mouse over a record.
Comment 4 Walden Raines 2017-08-08 11:11:33 EDT
Created redmine issue http://projects.theforeman.org/issues/20530 from this bug
Comment 5 Roxanne Hoover 2017-08-08 11:47:40 EDT
The patternfly table has different colorization for hyperlinks and hover which is more visible:

https://rawgit.com/patternfly/patternfly/master-dist/dist/tests/tables.html#


I've documented this as well during the Weekly Design/Dev meeting:

https://docs.google.com/document/d/1IoF--pWXXqjrAXSgBLVY3dRC-PeDcPZZxhCnl0wlaP8/edit

https://docs.google.com/document/d/1Oqh0o676iS6ME9gGBPGCs-ToL8yDM882bIJZNNYcfOo/edit
Comment 6 pm-sat@redhat.com 2017-08-15 16:03:08 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20530 has been resolved.
Comment 7 Brad Buckingham 2017-09-06 08:40:40 EDT
Verified with Satellite 6.3 SNAP 14: satellite-6.3.0-17.0.beta.el7sat.noarch, tfm-rubygem-katello-3.4.5-1.el7sat.noarch

- imported manifest
- enabled few red hat repos
- synced repos
- visited Content -> Products -> 'Red Hat Enterprise Linux Server' -> Repositories
- hover over a row for a synced repo
- VERIFIED that the colors no longer conflict and the information is readable.  The colors used appear consistent with the UX recommendations.
Comment 8 Brad Buckingham 2017-09-06 08:41 EDT
Created attachment 1322661 [details]
Verified: Hyperlinks for Satellite 6.3.0
Comment 9 pm-sat@redhat.com 2018-02-21 11:51:07 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336